import 'package:flutter/cupertino.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

extension StateExtensions on BuildContext {
  TState readController<TState>() => read<TState>();
  TState watchController<TState>() => watch<TState>();
}
