
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'controller_provider.dart';

class ControllersProvider extends StatelessWidget {
  final List<ControllerProvider> controllers;
  final Widget Function(BuildContext context) child;
  const ControllersProvider({required this.controllers, required this.child, super.key});

  @override
  Widget build(BuildContext context) => MultiBlocProvider(
      providers: controllers,
      child: Builder(builder: child)
  );
}
